Get Vidm Oauth Clien Id

Get Vidm Oauth Clien Id
Get the client-id for making user access-token request to VMware Identity Manager

Get client-id of password grant OAuth client registered at VMware Identity Manager. This client-id along with user credentials is required while making an access token request to VMware Identity Manager.

Request
URI
GET
https://{api_host}/api/ni/auth/vidm/client-id
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Success

Returns VidmOauthClientResponse of type(s) application/json
{
    "vidm_appliance": "identity.domain.com",
    "client_id": "VCF Operations for networks Client-ID"
}
string
vidm_appliance
Optional

Fully quallified domain name of VMware Identity Manager configured in VCF Operations for networks

string
client_id
Optional

Client-id of the password grant OAuth client


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/auth/vidm/client-id